package com.yihu.jw.hospital.mapping.dao;

import com.yihu.jw.entity.hospital.mapping.DoctorMappingDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2019/6/10.
 */
public interface DoctorMappingDao extends PagingAndSortingRepository<DoctorMappingDO, String>, JpaSpecificationExecutor<DoctorMappingDO> {

    List<DoctorMappingDO> findByDoctorAndOrgCode(String doctor,String orgCode);

    List<DoctorMappingDO> findByOrgCodeAndMappingCode(String orgCode,String mappingCode);

    DoctorMappingDO findByDoctor(String doctor);

    DoctorMappingDO findByIdcard(String idCard);
}
